/********        RESPONSIVE TEXT        ********/

* {
  --fluid-size: var(--min-font-size) * 1px +
    (var(--max-font-size) - var(--min-font-size)) *
    ((100vw - 420px) / (1200 - 420));
  /*font-family: pour les titres Verdana, Arial, sans-serif;
                 pour les textes "Trebuchet MS", Arial, sans-serif;
  color: hsl(0, 0%, 52%);*/
}

h1 {
  margin: 3rem 0;
  --min-font-size: 30;
  --max-font-size: 50;
  font-size: clamp(
    var(--min-font-size) * 1px,
    var(--fluid-size),
    var(--max-font-size) * 1px
  );
  text-align: center;
  background: linear-gradient(to right, hsl(0, 50%, 63%), hsl(0, 50%, 33%));
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: #00000000;
  line-height: 4.5rem;
}

h2 {
  --min-font-size: 20;
  --max-font-size: 30;
  font-size: clamp(
    var(--min-font-size) * 1px,
    var(--fluid-size),
    var(--max-font-size) * 1px
  );
  margin-bottom: 3rem;
  text-align: center;
}

.container-bottom-d h2, .container-bottom-i h2 {
  color: hsl(160, 75%, 30%);
}

h3 {
  margin: 3rem 0 1rem;
  --min-font-size: 18;
  --max-font-size: 28;
  font-size: clamp(
    var(--min-font-size) * 1px,
    var(--fluid-size),
    var(--max-font-size) * 1px
  );
}

p, li, .metismenu.mod-menu .metismenu-item {
  --min-font-size: 16;
  --max-font-size: 20;
  font-size: clamp(
    var(--min-font-size) * 1px,
    var(--fluid-size),
    var(--max-font-size) * 1px
  );
}

.container-banner img, .conteneur-nous-sommes img {
  box-shadow: 9px 9px 9px #999;
}

.image-video-evangile img {
  box-shadow: 9px 9px 9px #333;
}

.image-video-evangile a:hover {
  box-shadow: 9px 9px 50px #aaa;
}

.container-nav img {
  width: 50px;
  height: 50px;
}

iframe {
  max-width: 600px;
  width: 100%;
  height: 330px;
}

.verset {
  font-weight: 500;
}

.reference {
  font-style: italic;
}

.btn-cta {
  display: block;
  width: 200px;
  margin: 5rem auto;
  font-weight: 500;
  text-transform: uppercase;
  border-radius: 7px;
  color: #fff;
  background: hsl(347, 100%, 26%);
}

.btn-cta a {
  color: #fff;
  text-decoration: none;
}

.btn-cta:hover {
  background: hsl(350, 100%, 40%);
}

.mod-sermonspeakercategories .btn-cta, .orateurs-series .btn-cta {
  margin: 2rem;
}

/* HEADER */

.header {
  background-color: hsl(167, 100%, 26%);
  background-image: none;
  border-bottom: 1px solid hsl(0, 0%, 77%);
}

.menu-principal-haut {
  display: flex;
}

.container-header .container-nav {
  justify-content: space-around;
  align-items: center;
  padding-bottom: .7em;
}

/* MENU */

.container-nav img {
  margin: 1rem auto;
}

.container-header .container-nav .container-search, .container-header .container-nav nav {
  margin-top: 0;
}

.awesomplete input {
  background-color: hsl(0, 0%, 93%);
}

.container-nav img.hamburger {
  width: 15px;
  height: 10px;
  margin: 0 0 3px;
}

/* LIEN URLA */

.lien-urla {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
}

.urla a {
  text-decoration: none;
}

.urla {
  width: 320px;
  margin: 2rem;
}

.urla h3 {
  margin-top: 1rem;
  text-align: center;
}

.membre img {
  width: 100px;
  height: 100px;
  border-radius: 100%;
}

.texte-bienvenue, .texte-nous-sommes {
  max-width: 600px;
}

.texte-bienvenue h1 {
  margin: auto;
}

/* FLEX */

.vignettes, .equipe, .messages, .latestsermons, .partenaires, .mentions-legales, .mod-dpcalendar-upcoming-default__events {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
  text-align: center;
}

.vignette, .edition, .creation, .hebergement {
  width: 310px;
  margin-bottom: 3rem;
}

.vignette a {
  text-decoration: none;
}

.item-image {
  width: 400px;
  border-radius: 0.3rem / 10px;
}

.item-image:hover {
  border-radius: 0.3rem 0.3rem 0.3rem 90px / 10px 10px 10px 33px;
  box-shadow: 9px 9px 24px #cfcfcf;
}

.conteneur-bienvenue, .conteneur-nous-sommes, .equipe, .historique, .confession, .aumonerie, .pec, .librairie, .bricolage, .petit-dejeuner, .temoignages, .bible-audio {
  max-width: 1200px;
  margin: auto;
}

.membre {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 3rem;
  width: 220px;
}

/* VIGNETTES */

.vignette-message {
  height: 270px;
}

.card-body a {
  text-decoration: none;
}

.card-img-top {
  max-width: 128px;
}

.col {
  text-align: center;
}

/* DPCALENDAR */

.fc-scrollgrid a{
  text-decoration: none;
}

.mod-dpcalendar-upcoming {
  max-width: 100%;
}

.mod-dpcalendar-upcoming-default__events {
  flex-direction: row;
  align-items: baseline;
  margin: 3rem auto;
  padding: 1.5rem 1.5rem 3rem;
  background-color: hsl(0, 0%, 100%);
}

.mod-dpcalendar-upcoming-default__events .mod-dpcalendar-upcoming-default__event {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 180px;
}

.mod-dpcalendar-upcoming-default__events .mod-dpcalendar-upcoming-default__event+div {
  margin-top: 3rem;
}

.mod-dpcalendar-upcoming-default__information .dp-link {
  text-transform: uppercase;
  text-decoration: none;
}

.mod-dpcalendar-upcoming-default__event {
  width: 200px;
}

.mod-dpcalendar-upcoming-default__events .mod-dpcalendar-upcoming-default__event .dp-flatcalendar {
  margin: 0;
  font-size: .9em;
}

.mod-dpcalendar-upcoming-default__information h3 {
  font-size: 1.2rem;
}

.mod-dpcalendar-upcoming-default__event .dp-link {
  margin-top: 1rem;
  font-weight: bold;
}

/* SERMONSPEAKER */

.com-sermonspeaker-sermons__sermons .row {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.col {
  width: 300px;
  text-align: center;
}

.com-sermonspeaker-sermons .com-sermonspeaker-sermons__sermons {
  margin-bottom: 3rem;
}

.com-sermonspeaker-sermons-tiles h2 {
  font-size: 1.25rem;
}

.latestsermons {
  margin: 3rem auto;
  padding: 1rem;
  background-color: hsl(0, 0%, 100%);
}

.latestsermons h2 {
  margin-top: 3rem;
  margin-bottom: .5rem;
  font-size: 1.5rem;
}

.latestsermons_list {
  flex-direction: column;
  display: flex;
  flex-wrap: wrap;
  align-content: space-around;
  width: 100%;
}

.latestsermons_list div {
  width: 300px;
  margin: 0 auto;
}

.latestsermons_list a {
  color: hsl(167, 100%, 26%);
  text-decoration: none;
}

.latestsermons_list a:hover {
  color: hsl(0, 77%, 53%);
}

.createdby {
  font-size: 1.2rem;
  font-weight: bold;
}

.orateurs-series {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
}

/* LECTEUR AUDIO */

.message-titre {
  margin-top: 3rem;
  text-align: center;
}

.message-bruno {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
  text-align: center;
}

.message-bruno a {
  text-decoration: none;
}

.ss-sermon-container h2 {
  text-align: center;
}

.ss-player {
  padding: 1rem 0;
}

.ss-sermon-player {
  min-width: 320px;
  margin-top: 2rem;
}

.message-player {
  border: 1px solid #dfe3e7;
  border-radius: 0.3rem;
  background-color: #f9f9f9;
}

.mejs__controls .mejs__horizontal-volume-slider {
   display: none;
 }

.mejs__volume-button {
  display: none !important;
}

/* CONVERTFORMS */

.convertforms .cf-fields {
  text-align: left;
}

.cf-form-wrap .cf-fields .btn-cta {
  flex-grow: 0;
  width: 200px;
}

/* BANNER */

.container-banner {
  margin: 3rem auto;
}

.container-bottom-c, .container-bottom-d, .container-bottom-ef, .container-bottom-gh, .container-bottom-ij, .container-fond-vert  {
  padding-top: 3rem;
  padding-bottom: 3rem;
}

.container-bottom-h .btn-cta {
  margin-bottom: 2rem;
}

/* CONTAINER MODULES */

.container-bottom-c, .container-bottom-gh, .container-fond-vert {
  color: hsl(0, 0%, 100%);
  background-color: hsl(167, 100%, 26%);
}

.conteneur-video-evangile p {
  --min-font-size: 16;
  --max-font-size: 24;
  font-size: clamp(
    var(--min-font-size) * 1px,
    var(--fluid-size),
    var(--max-font-size) * 1px
  );
}

.container-bottom-ef {
  background-color: hsl(0, 0%, 90%);
}

.texte-nous-sommes, .historique, .confession, .aumonerie, .pec, .librairie, .bricolage, .petit-dejeuner, .temoignages, .container-bottom-f {
  padding: 3rem 1rem 1rem;
}

.bricolage a {
  color: hsl(1, 0%, 100%);
}

/* BOTTOM-B */

.container-bottom-b {
  text-align: center;
  color: hsl(0, 0%, 100%);
}

.googlemaps img {
  display: block;
  margin: auto;
}

/* PARTENAIRES */

.partenaire {
  width: 200px;
  margin-top: 3rem;
}

/* FOOTER */

.footer .grid-child {
  flex-direction: column;
}

.footer {
  background-color: hsl(167, 100%, 26%);
  background-image: none;
}

.metismenu.menu-horizontal {
  padding: 1rem;
}

.metismenu.mod-menu .metismenu-item {
  justify-content: center;
}

.coordonnees {
  text-align: center;
}

.coordonnees h2, .nous-contacter h2 {
  margin-bottom: 0;
}

.coordonnees h3 {
  margin: auto;
}

.nous-contacter h2, .nous-contacter h3 {
  color: hsl(0, 0%, 100%);
}

.footer h2, .footer h3 {
  --max-font-size: 24;
}

.mod-footer {
  padding: 1rem;
  text-align: center;
}

.mod-footer a {
  text-decoration: none;
}

.copyright:hover {
  color: hsl(33, 46%, 13%) !important;
}

/* TARTEAUCITRON */

#tarteaucitronRoot #tarteaucitronIcon #tarteaucitronManager img {
  width: 30px;
  height: 30px;
}

.conteneur-bienvenue, .conteneur-video-evangile, .conteneur-bottom-e, .conteneur-bottom-f, .image-video-evangile {
  display: flex;
  flex-direction: column;
  text-align: center;
}

.image-video-evangile {
  margin: 1rem auto 3rem;
}

.conteneur-nous-sommes {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.conteneur-flex {
  align-items: center;
  max-width: 1200px;
  margin: auto;
}

.texte-bienvenue, .texte-video-evangile, .texte-agenda, .image-agenda {
  padding: 1rem;
}

.medias {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
}

.conteneur-bottom-e {
  max-width: 100%;
}

@media (min-width: 640px) {
  .convertforms .cf-text-center .cf-one-third {
     width: auto;
  }
}

@media only screen and (min-width: 767px) {
  .mod-dpcalendar-upcoming-default__event {
    width: 100px;
  }
}

@media only screen and (min-width: 992px) {
  .texte-nous-sommes h2 {
    text-align: left;
  }

  .vignettes, .equipe, .conteneur-nous-sommes, .messages, .boutons-messages, .orateurs-series, .partenaires, .mentions-legales,   .footer .grid-child, .latestsermons_list {
    flex-direction: row;
  }

  .conteneur-bienvenue, .conteneur-partenaires-contact {
    flex-direction: row-reverse;
  }
  
  .col {
    margin: 3rem;
  }
}
